Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 231670

Summary: Review Request: librapi - Library to connect to Pocket PC devices
Product: [Fedora] Fedora Reporter: Aurelien Bompard <gauret>
Component: Package ReviewAssignee: Andreas Bierfert <andreas.bierfert>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: andreas.bierfert
Target Milestone: ---Flags: andreas.bierfert: fedora-review+
wtogami: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-05-01 21:21:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 231669    
Bug Blocks: 231675, 231681, 231683, 231685    

Description Aurelien Bompard 2007-03-09 22:08:58 UTC
Spec URL: http://gauret.free.fr/fichiers/rpms/fedora/synce/librapi.spec
SRPM URL: http://gauret.free.fr/fichiers/rpms/fedora/synce/librra-0.9.1-1.src.rpm
Description: 
The RAPI library is an open source implementation that works like RAPI.DLL,
available on Microsoft operating systems. The library makes it possible to make
remote calls to a computer running Pocket PC.
In order to use librapi, a daemon that the Pocket PC client connects to must be
running on the computer using librapi

SynCE is already in Fedora Extras, but in the form of a monolithic package : all the libraries are in the same RPM. I've splitted it, this is one of the libraries.

Comment 1 Andreas Bierfert 2007-03-12 16:37:24 UTC
I assume the link should be
http://gauret.free.fr/fichiers/rpms/fedora/synce/librapi-0.9.3-1.i386.rpm ;)

Comment 2 Andreas Bierfert 2007-03-12 16:39:17 UTC
uh I meant http://gauret.free.fr/fichiers/rpms/fedora/synce/librapi-0.9.3-1.src.rpm

Comment 3 Aurelien Bompard 2007-03-12 16:50:29 UTC
Yeah, sorry, abusive cut-n-paste :)

Comment 4 Andreas Bierfert 2007-04-27 08:46:48 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 * OK: rpmlint output: W: librapi-devel no-documentation can be ignored
 * OK: package is named according to the guidelines
 * OK: spec file name matches base package name
 * OK: package meets packaging guidelines
 * OK: license
 * OK: license field matches actual license
 * OK: license is not included as own file and thus is not included in %doc
 * OK: Spec file seems to be in AE
 * OK: no obfuscated code spec
 * OK: sources match upstream:
1dcb43bbbb43688839c3b19de77b7b4e  synce-librapi-0.9.3.tar.gz
1dcb43bbbb43688839c3b19de77b7b4e 
/homes/awjb/rpmbuild/SOURCES/synce-librapi-0.9.3.tar.gz
 * OK: Builds fine on x86_64/fc6
 * OK: BR seem fine
 * OK: package has no locale support
 * OK: ldconfig is run on %post and $postun
 * OK: package is not explicitly designed to be relocatable
 * OK: package does not create any directories
 * OK: no duplicate files in file listing
 * OK: %defattr and permissions seem ok
 * OK: %clean section is present
 * OK: macros are used consistently
 * OK: content is ok
 * OK: no doc package needed
 * OK: %doc files do not affect runtime
 * OK: header files are in -devel
 * OK: no static libraries
 * OK: -devel requires pkgconfig
 * OK: .so file is in -devel
 * OK: -devel requires main package
 * OK: package does not contain .la archives
 * OK: no .desktop needed
 * OK: does not own files/directories from other packages
 * OK: buildroot is rm at beginning of install
 * OK: filenames seem to be valid utf8

c37a38cb27ecaa23c25f69a387c365fe  librapi-0.9.3-1.src.rpm
is APPROVED with this patch:


- --- librapi.spec.1	2007-03-09 22:57:51.000000000 +0100
+++ librapi.spec	2007-04-27 10:45:09.000000000 +0200
@@ -10,6 +10,7 @@
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  libsynce-devel
+BuildRequires:  libtool
 
 # Provide an upgrade path from the monilithic synce package
 Provides:       synce = %{version}-%{release}
@@ -39,14 +40,14 @@
 
 %build
 %configure --disable-static --disable-rpath
- -make %{?_smp_mflags}
+make LIBTOOL=%{_bindir}/libtool %{?_smp_mflags}
 
 
 %install
 rm -rf $RPM_BUILD_ROOT
 make install DESTDIR=$RPM_BUILD_ROOT
 
- -rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
+rm -f $RPM_BUILD_ROOT%{_libdir}/*.{la,a}
 
 
 %clean
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (GNU/Linux)

iD8DBQFGMbhHQEQyPsWM8csRAjjSAJ9Orf2hkD8w4LboCZemvzedLWfqhgCeMl+Q
QUPL0R/omWuC3yccGNXa/Vs=
=kqk2
-----END PGP SIGNATURE-----

Comment 5 Aurelien Bompard 2007-04-28 05:35:31 UTC
New Package CVS Request
=======================
Package Name: librapi
Short Description: Library to connect to Pocket PC devices
Owners: andreas.bierfert@lowlatency.de,gauret@free.fr
Branches: FC-6
InitialCC: